ODFFILESEARCH(1p)

NAME
        odffilesearch - File selection by keywords

SYNOPSIS
        odffilesearch -R "D:\Documents\*.odt" openoffice desktop XML

        produces the list of the ODF Text documents present in the given
        directory and its subdirectories, and containing the words
        "openoffice", "desktop" AND "XML"

        odffilesearch -command "rm -f %f" "*.ods *.odt" lost dismiss cancel

        executes the "rm -f filename" (i.e. deletes the file in a Unix system)
        for each ODT or ODS file present in the current directory
        and containing the words "lost", "dismiss" AND "cancel"

USAGE
        odffilesearch [-options] <file filter> <keyword list>

DESCRIPTION
        This utility allows the user to retrieve a list of files matching
        a given set of keywords or regular expressions. A file is selected
        when it contains, in its text and/or in its metadata (title, subject,
        keywords or description), all the given search strings.

        The selected files are echoed to the standard output (one file per
        line), so this utility can be used as a filter piping its results
        to another program. Alternatively, a given shell command can be
        launched by the script each time a file matches, allowing on-the-fly
        processing of the selected documents.

        The files filter may content one or more space-separated paths.
        Each path may content jokers. So it's possible to explore several
        directories and/or several filename patterns.

        All the arguments after the file filter are processed as search
        criteria.

OPTIONS
        -R -recursive
                include the subdirectories of each given search directory
        -verbose -trace -debug
                echo some processing comments
        -warnings
                activate the warning messages of the OpenOffice::OODoc API
        -log <file>
                like -verbose, but then messages are sent to the given file
                and don't pollute the standard output
        -result <file>
        -output <file>
                send the list of matching files to the given file and not
                to the standard output
        -criteria <file>
                get search criteria from a file (one per line); the loaded
                search keywords may be combined with additional criteria
                passed with the command line, if any.
        -command <command> -exec <command>
                execute a shell command for each matching file ; if the
                command string contains "%f", this substring is replaced
                with the name of the selected file ; if this option is
                provided, the selection list is not echoed to the standard
                output ; if -verbose is on, the value returned by the
                command is echoed
        -encoding <encoding>
                selects the user's character set ; this option is mandatory
                if one or more search criteria contain characters not
                belonging to the default character set